| Jabber Guest iOS SDK

- Main Page
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Enumerations Enumerator Properties Groups
Instance Methods | Class Methods | Properties | List of all members
CJGuestCallViewController Class Reference

JabberGuest/JabberGuestSDK/JabberGuestSDKLib The high-level Jabber Guest controller object. More...

`#import <CJGuestCallViewController.h>`

Inheritance diagram for CJGuestCallViewController:

## Instance Methods
(void) | - showCallStatistics
| displays a tranparent window showing call statistics for an active call
(void) | - configureFromURL:
| Configures the controller by parsing a URL. More...
(void) | - enterBackground
| Handles all the details of having an active call go to the background. More...
(void) | - enterForeground
| Handles all the details of having an active call go to the foreground. More...
(void) | - terminate
| Handles terminating an active call when your app terminates. More...
Instance Methods inherited from <CJGuestCallBarViewDelegate>
(void) | - callBarView:clickedButton:
| A button on the view has been pressed. More...
(void) | - callBarViewDidDismissKeypad:
| The keypad view was dismissed from to the CallBarView. More...
(void) | - callBarViewDidPresentKeypad:
| The keypad view was presented from the CallBarView. More...

## Class Methods
(BOOL) | + hasActiveCall
| Returns YES if the call state is connected, connecting, or disconnecting.

## Properties
NSString * | serverName
| The Jabber Guest server name.
NSString * | toURI
| The URI to call.
id < CJGuestCallViewControllerDelegate > | delegate
| The delegate that implements the CJGuestCallViewControllerDelegate protocol.
NSTimeInterval | secondsCallBarHide
| The number of seconds to keep the call bar visible after it is made visible.

## Detailed Description

JabberGuest/JabberGuestSDK/JabberGuestSDKLib The high-level Jabber Guest controller object.

## Method Documentation

- (void) configureFromURL: |  | (NSURL *) | url |

Configures the controller by parsing a URL.

The URL must follow the format as defined in the Custom URL Schemes documentation.

Typically, you would call this from your app delegate's `handleURL:` method.

serverName and toURI are set to the values pulled out of the URL.

Parameters

  url | The URL to parse.

- (void) enterBackground |  |  |

Handles all the details of having an active call go to the background.

When the app goes into the background, the video stops but the audio will continue. If the video was muted before entering the background, it will remain muted when returning to the foreground. Use with enterForeground to get this behavior.

Call this method from your app delegate's `applicationWillResignActive:` or `applicationDidEnterBackground:` implementations.

- (void) enterForeground |  |  |

Handles all the details of having an active call go to the foreground.

If the video was muted before entering the background, it will remain muted when returning to the foreground. Use with enterBackground to get this behavior.

Call this method from your app delegate's `applicationWillEnterForeground:` or `applicationDidBecomeActive:` implementations.

- (void) terminate |  |  |

Handles terminating an active call when your app terminates.

Call this method from your app delegate's `applicationWillTerminate:` implementation.